curl --request PUT \
--url https://api.dfns.io/permissions/{permissionId}/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-DFNS-USERACTION: <api-key>' \
--data '
{
"isArchived": true
}
'{
"id": "<string>",
"name": "<string>",
"operations": [
"<string>"
],
"status": "Active",
"isImmutable": true,
"isArchived": true,
"dateCreated": "<string>",
"dateUpdated": "<string>"
}Delete a specific Permission.
curl --request PUT \
--url https://api.dfns.io/permissions/{permissionId}/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-DFNS-USERACTION: <api-key>' \
--data '
{
"isArchived": true
}
'{
"id": "<string>",
"name": "<string>",
"operations": [
"<string>"
],
"status": "Active",
"isImmutable": true,
"isArchived": true,
"dateCreated": "<string>",
"dateUpdated": "<string>"
}CustomerEmployee)EndUser)Permissions:Archive: Always required.Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows
1Was this page helpful?